> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Livechat Message

> Update a specific livechat message.

## OpenAPI

````json PUT /api/v1/livechat/message/{_id}
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/message/{_id}": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "example": "ZKWP8LfGnRHQ3ozWa",
          "name": "_id",
          "in": "path",
          "required": "true",
          "description": "The message ID that you want to update."
        }
      ],
      "put": {
        "summary": "Update Livechat Message",
        "operationId": "put-api-v1-livechat-message-_id",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "msg": {
                          "type": "string"
                        },
                        "u": {
                          "type": "object",
                          "properties": {
                            "_id": {
                              "type": "string"
                            },
                            "username": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            }
                          }
                        },
                        "ls": {
                          "type": "string"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "message": {
                        "_id": "ZKWP8LfGnRHQ3ozWa",
                        "msg": "editing livechat message..",
                        "u": {
                          "_id": "YgEoq2djbGdjjZnsL",
                          "username": "guest-4",
                          "name": "Livechat Visitor"
                        },
                        "ls": "2018-09-14T13:31:33.201Z"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Livechat Messages"
        ],
        "description": "Update a specific livechat message.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string",
                    "example": "iNKE8a6k6cjbqWhWd",
                    "description": "The visitor token."
                  },
                  "rid": {
                    "type": "string",
                    "description": "The room ID.",
                    "example": "zRAeTszXor8CCPceB"
                  },
                  "msg": {
                    "type": "string",
                    "description": "The updated message that you want to send.",
                    "example": "editing a livechat message..."
                  }
                }
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "token": "54fc5544030bcecda053311cb6b9892",
                    "rid": "hGFwSKA28nRKut3pD",
                    "msg": "editing livechat message.."
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````

